'use strict';
const {
  Model
} = require('sequelize');
module.exports = (sequelize, DataTypes) => {
  class CompareList extends Model {
    /**
     * Helper method for defining associations.
     * This method is not a part of Sequelize lifecycle.
     * The `models/index` file will call this method automatically.
     */
    static associate(models) {
      // define association here
    }
  }
  CompareList.init({
    userId: DataTypes.INTEGER,
    sessionId: DataTypes.STRING
  }, {
    sequelize,
    modelName: 'CompareList',
  });
  return CompareList;
};